> ## Documentation Index
> Fetch the complete documentation index at: https://docs.yume.cloud/llms.txt
> Use this file to discover all available pages before exploring further.

# Get integrations



## OpenAPI

````yaml /openapi/tenant.json get /v1/tenant/integrations/
openapi: 3.0.3
info:
  title: Yume API — Компании
  version: 1.0.0
  description: Управление компаниями-арендаторами.
servers:
  - url: https://api.yume.cloud
    description: Production
  - url: https://api.stage.yume.cloud
    description: Stage
security: []
paths:
  /v1/tenant/integrations/:
    get:
      tags:
        - integrations
      summary: Get integrations
      operationId: integrations_list
      parameters:
        - $ref: '#/components/parameters/TenantId'
      responses:
        '200':
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/IntegrationConnectionView'
          description: ''
      security:
        - jwtAuth: []
components:
  parameters:
    TenantId:
      name: X-Tenant-Id
      in: header
      required: false
      schema:
        type: integer
      description: >-
        Компания, в контексте которой выполняется запрос — её id из `GET
        /v1/tenant/`. Пользователь должен состоять в этой компании: чужой id
        доступа к данным не даёт. Без заголовка компания определяется по домену
        запроса.
  schemas:
    IntegrationConnectionView:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        is_demo:
          type: boolean
          readOnly: true
        integration_period:
          allOf:
            - $ref: '#/components/schemas/IntegrationPeriod'
          readOnly: true
        created_at:
          type: string
          format: date-time
          readOnly: true
          title: Создан
        updated_at:
          type: string
          format: date-time
          readOnly: true
          title: Обновлен
        end_at:
          type: string
          format: date
          readOnly: true
          nullable: true
          title: Конец
          description: Конец подключения интеграции
        connected:
          type: boolean
          title: Подключено
          description: Подключено интеграция
        extra:
          nullable: true
          title: Дополнительно
          description: Дополнительные данные
        demo_end_at:
          type: string
          format: date
          readOnly: true
          nullable: true
          title: Конец демо
          description: Конец демо-периода
        tenant:
          type: integer
          readOnly: true
          title: Компания
          description: Компания
        integration:
          type: integer
          readOnly: true
          title: Интеграция
          description: Интеграция
      required:
        - created_at
        - demo_end_at
        - end_at
        - id
        - integration
        - integration_period
        - is_demo
        - tenant
        - updated_at
    IntegrationPeriod:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        variant:
          allOf:
            - $ref: '#/components/schemas/IntegrationVariant'
          readOnly: true
        type:
          allOf:
            - $ref: '#/components/schemas/IntegrationPeriodTypeEnum'
          title: Тип
          description: |-
            Тип тарифа

            * `period` - period
            * `amount` - amount
        currency:
          allOf:
            - $ref: '#/components/schemas/CurrencyEnum'
          default: KZT
          title: Валюта
          description: |-
            Валюта тарифа

            * `KZT` - KZT
            * `USD` - USD
            * `RUB` - RUB
            * `EUR` - EUR
            * `UZS` - UZS
            * `KGS` - KGS
            * `AED` - AED
            * `SAR` - SAR
        months:
          allOf:
            - $ref: '#/components/schemas/MonthsEnum'
          default: 1
          title: Количество месяцев
          description: |-
            Длительность тарифа в месяцах

            * `1` - 1 месяц
            * `3` - 3 месяца
            * `6` - 6 месяцев
            * `12` - 12 месяцев
          minimum: -32768
          maximum: 32767
        price:
          type: string
          format: decimal
          pattern: ^-?\d{0,14}(?:\.\d{0,2})?$
          title: Цена
          description: Цена тарифа
        amount:
          type: integer
          maximum: 2147483647
          minimum: -2147483648
          title: Количество
          description: Количество
        integration:
          type: integer
          title: Интеграция
          description: Интеграция
        tenant:
          type: integer
          nullable: true
          title: Компания
          description: Компания
      required:
        - id
        - integration
        - type
        - variant
    IntegrationVariant:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        name:
          type: string
          maxLength: 255
        code:
          type: string
          nullable: true
          maxLength: 255
        limits:
          type: array
          items:
            type: string
            maxLength: 255
      required:
        - id
        - name
    IntegrationPeriodTypeEnum:
      enum:
        - period
        - amount
      type: string
      description: |-
        * `period` - period
        * `amount` - amount
    CurrencyEnum:
      enum:
        - KZT
        - USD
        - RUB
        - EUR
        - UZS
        - KGS
        - AED
        - SAR
      type: string
      description: |-
        * `KZT` - KZT
        * `USD` - USD
        * `RUB` - RUB
        * `EUR` - EUR
        * `UZS` - UZS
        * `KGS` - KGS
        * `AED` - AED
        * `SAR` - SAR
    MonthsEnum:
      enum:
        - 1
        - 3
        - 6
        - 12
      type: integer
      description: |-
        * `1` - 1 месяц
        * `3` - 3 месяца
        * `6` - 6 месяцев
        * `12` - 12 месяцев
  securitySchemes:
    jwtAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````